#ifndef _TCPTHREAD_
#define _TCPTHREAD_

class PLUServer;

#include <list>

class CTCPThread{
private:
	std::list<int>			sd;
	int					lsock;
	pthread_t			tid;
	pthread_attr_t	attributes;
	pthread_mutex_t	mutex;
	PLUServer			*plus;

protected:
public:
	CTCPThread();
	~CTCPThread();
	int Create(void *, int);
	int Add();
   void Remove(int);
	void Close();
	int GetListenerSock();
	int GetSockSet(fd_set *set);
	bool IsValidSock(int i);

};

#endif //_TCPTHREAD_
